<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/btn_rotation"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".RotationActivity">

    <Button
        android:id="@+id/btn_rotation_0"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:text="顺时针旋转0度"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        tools:layout_editor_absoluteY="79dp"
        tools:ignore="MissingConstraints" />

    <Button
        android:id="@+id/btn_rotation_90"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:text="顺时针旋转90度"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/btn_rotation_0" />

    <Button
        android:id="@+id/btn_rotation_180"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:text="顺时针旋转180度"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/btn_rotation_90" />

    <Button
        android:id="@+id/btn_rotation_270"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:text="顺时针旋转270度"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/btn_rotation_180" />

</androidx.constraintlayout.widget.ConstraintLayout>